function love.load()
love.graphics.setBackgroundColor(54, 172, 248)
    
    bulletSpeed = 1000
    
    bullets = {}
    player = {x=250, y=250, velocity=2, img=love.graphics.newImage("player.png"), angle=0}
	pistol = {x=0, y=0, img=love.graphics.newImage("weapont.png"), angle=0}
	zombies = {x=250, y=250, img=love.graphics.newImage("zombie1gc.gif"), angle=0, velocity=1}
end

function love.update(dt)
pistol.x = player.x
pistol.y = player.y

for i,v in ipairs(bullets) do
        v.x = v.x + (v.dx * dt)
        v.y = v.y + (v.dy * dt)
    end
	if love.keyboard.isDown("s") then
	player.y = player.y + player.velocity
	end
	if love.keyboard.isDown("w") then
	player.y = player.y - player.velocity
	end
	if love.keyboard.isDown("a") then
	player.x = player.x - player.velocity
	end
	if love.keyboard.isDown("d") then
	player.x = player.x + player.velocity
	end
end

function love.draw()
   love.graphics.print(pistol.img:getWrap(),50,50)
   player.angle = math.atan2 ( player.y - love.mouse.getY(), player.x - love.mouse.getX())
   zombies.angle = math.atan2 ( zombies.y - player.y, zombies.x - player.x)
   pistol.angle = math.atan2 ( pistol.y - love.mouse.getY(), pistol.x - love.mouse.getX())   

    love.graphics.draw(player.img, player.x,player.y,player.angle,sx,sy,player.img:getWidth()/2,player.img:getHeight()/2)
	love.graphics.draw(pistol.img, player.x,player.y, player.angle,sx,sy,pistol.img:getWidth()/2,pistol.img:getHeight()/2)
	love.graphics.draw(zombies.img, zombies.x,zombies.y, zombies.angle-1.5,sx,sy,zombies.img:getWidth()/2,zombies.img:getHeight()/2) 
    
    for i,v in ipairs(bullets) do
        love.graphics.circle("fill", v.x, v.y, 3)
    end
end

function love.mousepressed(x, y, button)
    if button == "l" then
        local startX = pistol.x  + pistol.img:getWidth() / 2
        local startY = pistol.y  + player.angle + pistol.img:getHeight() / 2
        local mouseX = x
        local mouseY = y
        
        local angle = math.atan2((mouseY - startY), (mouseX - startX))
        
        local bulletDx = bulletSpeed * math.cos(angle)
        local bulletDy = bulletSpeed * math.sin(angle)
        
        table.insert(bullets, {x = startX, y = startY, dx = bulletDx, dy = bulletDy})
    end
end